apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: strapi
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  tls:
  - hosts:
    - fimani.mpayment.africa
    secretName: strapi
  rules:
  - host: "fimani.mpayment.africa"
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: strapi
            port:
              number: 80
